/*
 * Copyright (c) 2002-2008 TeamDev Ltd. All rights reserved.
 *
 * Use is subject to license terms.
 *
 * The complete licence text can be found at
 * http://www.teamdev.com/winpack/license.jsf
 */
import teamdev.jxdesktop.CaptureUtilities;

import java.awt.*;
import java.awt.image.BufferedImage;

/**
 * The example shows how to capture full screen using CaptureUtilities.
 *
 * @author Ikryanov Vladimir
 */
public class CaptureUtilitiesSample extends JxCaptureSample {
    public static void main(String[] args) throws Exception {
        new CaptureUtilitiesSample().run();
    }

    protected void execute() {
        Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
        CaptureUtilities utilities = CaptureUtilities.getInstance();
        BufferedImage image = utilities.createScreenCapture(new Rectangle(screenSize));
        saveImageToHomeDirectory(image);
    }

    protected String getFileName() {
        return "jxcaptureImage.png";
    }
}
