/*
 * Copyright (c) 2002-2008 TeamDev Ltd. All rights reserved.
 *
 * Use is subject to license terms.
 *
 * The complete licence text can be found at
 * http://www.teamdev.com/winpack/license.jsf
 */
import teamdev.jxdesktop.Keyboard;

import java.awt.event.KeyAdapter;
import java.awt.event.KeyEvent;
import java.io.IOException;

/**
 * The sample shows how to register global keyboard listener
 * and listen key events such as keyPressed and keyReleased.
 *
 * @author Vladimir Ikryanov
 */
public class KeyboardListenerSample {
    public static void main(String[] args) throws IOException {
        // creating Keyboard object
        Keyboard keyboard = Keyboard.createKeyboard();

        // registering key listener
        keyboard.addKeyListener(new KeyAdapter() {
            public void keyPressed(KeyEvent event) {
                System.out.println("event = " + event);
            }

            public void keyReleased(KeyEvent event) {
                System.out.println("event = " + event);
            }
        });

        System.out.println("Type something to exit.");
        System.in.read();

        // disposing Keyboard object
        keyboard.dispose();

        System.exit(0);
    }
}
